Kypes
Guest
Hello everyone, is any of you aware of any lisp that allows you to select multiple numerical texts in a drawing that are included in a given range?
I mean a numerical interval... do you know anything about it?a range of what?
Do you mean an area of space or a numerical range within which to search all the texts of the drawing?
(defun c:selnum (/ intervalloinf intervallosup gru num2 index numero)
(setq intervalloinf(getreal "\intervallo inferiore: ")
intervallosup(getreal "\intervallo superiore: ")
gru(ssget '((0 . "text")))
num2(ssadd)
)
(repeat (setq index(sslength gru))
(setq numero(ssname gru (setq index(1- index))))
(if (and (>= (atof (vla-get-textstring (vlax-ename->vla-object numero))) intervalloinf)
(<= (atof (vla-get-textstring (vlax-ename->vla-object numero))) intervallosup)
)
(ssadd numero num2)
)
)
(sssetfirst nil num2)
(princ)
)
Good morning, I exhume this old post to ask if you can pass me the lisp arearon, I can't find it :|solved:biggrin:!!!!in practice to me it was necessary this lisp to identify the index of crowding of a series of offices of which I already knew the surface but which reported as a decimal separator the comma. I solved the problem by creating the closed polylines of the office rooms with the contours command, then I used the lisp arearon that returned the surfaces of the rooms to me in a single stroke (with the point as a decimal separator) and then thanks to the lisp of confutatis "selnum" I replaced the falling surfaces in the intervals that I was interested in the crowding indexes.
thank you very much to confutatis for your availability!:finger:
you find here already compiled:http://cadtips.cadalyst.com/content/tip-2292-area-closed-polylinesGood morning, I exhume this old post to ask if you can pass me the lisp arearon, I can't find it :|